import java.util.Random;

/**
 * Deze klasse kan worden gebruikt om het project te testen
 */
public class Tester {
    
    private static final Random RG = new Random ();
    
    private static final String[] NAMEN = 
    { "Bart", "Piet", "Ann", "Mieke", "Els",
      "Koen", "Emma", "Louise", "Fred", "Leen",
      "Jan", "Johan", "Charlotte", "Ria", "Karel",
      "Alain", "Bea", "Rudy", "Lieve", "Gert"
    };
    
    /**
     * Genereert een 'willekeurige' naam
     */
    private String willekeurigeNaam () {
        return NAMEN[RG.nextInt(NAMEN.length)];
    }
    
    public Arbeider willekeurigeArbeider () {
        Arbeider arbeider = new Arbeider(
                willekeurigeNaam (),
                10 + RG.nextInt(41)
        );
        arbeider.registreerUren (140 + RG.nextInt(86));
        return arbeider;
    }

    public Bediende willekeurigeBediende () {
        return new Bediende (
            willekeurigeNaam (),
            1500 + RG.nextInt(1501)
        );
    }
    
    public Loonberekening willekeurigeBerekening (int aantalLeden) {
        Loonberekening berekening = new Loonberekening();
        for (int i=0; i < aantalLeden; i++) {
            if (RG.nextBoolean()) {
                berekening.registreerArbeider(willekeurigeArbeider());
            } else {
                berekening.registreerBediende(willekeurigeBediende());
            }
        }
        return berekening;
    }
}
